Your message dated Fri, 29 Nov 2019 17:34:21 +0000
with message-id <[email protected]>
and subject line Bug#940608: fixed in freeradius 3.0.20+dfsg-1
has caused the Debian Bug report #940608,
regarding freeradius: Init script does not stop service when using sysvinit
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
940608: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=940608
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: freeradius
Version: 3.0.17+dfsg-1.1
Severity: normal
Tags: patch
Dear Maintainer,
when using sysvinit instead of systemd, calling the init script with
argument 'stop' does not stop the service. It seems in the invocation of
killproc the program name is missing.
Attached you should find a patch that fixes this problem.
Thanks for your work,
Roel
diff -pru a/debian/freeradius.init b/debian/freeradius.init
--- a/debian/freeradius.init 2019-04-22 23:23:36.000000000 +0200
+++ b/debian/freeradius.init 2019-09-17 19:54:37.926055502 +0200
@@ -62,7 +62,7 @@ case "$1" in
stop)
log_daemon_msg "Stopping $DESCR" "$PROG"
- killproc -p "$PIDFILE" || ret=$?
+ killproc -p "$PIDFILE" "$PROG" || ret=$?
log_end_msg $ret
;;
--- End Message ---
--- Begin Message ---
Source: freeradius
Source-Version: 3.0.20+dfsg-1
We believe that the bug you reported is fixed in the latest version of
freeradius, which is due to be installed in the Debian FTP archive.
A summary of the changes between this version and the previous one is
attached.
Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.
Debian distribution maintenance software
pp.
Bernhard Schmidt <[email protected]> (supplier of updated freeradius package)
(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512
Format: 1.8
Date: Fri, 29 Nov 2019 18:03:07 +0100
Source: freeradius
Architecture: source
Version: 3.0.20+dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian FreeRADIUS Packaging Team
<[email protected]>
Changed-By: Bernhard Schmidt <[email protected]>
Closes: 940608
Changes:
freeradius (3.0.20+dfsg-1) unstable; urgency=medium
.
* New upstream version 3.0.20+dfsg
* Fix reload action on sysvinit (Closes: #940608)
Checksums-Sha1:
887d0cb8865b74155b48376a28f3ab3a521b558a 3678 freeradius_3.0.20+dfsg-1.dsc
ee591b3b2d28f8783088e3be6261911fcb022124 3980432
freeradius_3.0.20+dfsg.orig.tar.gz
f7aa695940f99fdf88c180e114a8227ffe07a3e5 60960
freeradius_3.0.20+dfsg-1.debian.tar.xz
7afa9afb05d5babd7a0db1c5f3443b76714df25e 19222
freeradius_3.0.20+dfsg-1_amd64.buildinfo
Checksums-Sha256:
2f3178fca41b884e363647a64a6ea2024057c155a5c71f1804062d47798a9ec0 3678
freeradius_3.0.20+dfsg-1.dsc
d954878bcb8e40923a0bcf6c63c864e6a06d11ba31d2ec4aefcf89ece5b3c0f3 3980432
freeradius_3.0.20+dfsg.orig.tar.gz
c62b046ad9dc3e1fb33940f4c1b5b1f9f10bae04362643af29d850e5acee60bd 60960
freeradius_3.0.20+dfsg-1.debian.tar.xz
3fe583ad46a7df234f74f8d37e7fb1e9914ab444a06890ec6a4d38e66c68661d 19222
freeradius_3.0.20+dfsg-1_amd64.buildinfo
Files:
5cf08635a332550d27d9124671cc1643 3678 net optional freeradius_3.0.20+dfsg-1.dsc
0804b53dbfadebb260249f8d278e6124 3980432 net optional
freeradius_3.0.20+dfsg.orig.tar.gz
e2b89fac9b157c1672e6e36a52f7ef29 60960 net optional
freeradius_3.0.20+dfsg-1.debian.tar.xz
554e7af49e452d2377aad04a0707f5cc 19222 net optional
freeradius_3.0.20+dfsg-1_amd64.buildinfo
-----BEGIN PGP SIGNATURE-----
iQJFBAEBCgAvFiEE1uAexRal3873GVbTd1B55bhQvJMFAl3hUlcRHGJlcm5pQGRl
Ymlhbi5vcmcACgkQd1B55bhQvJPokRAAiUKBqv0scC89umSsHh74pQ/0PSy5xsBP
361qWcsaGygt12/2bMgfxGpwX/Yq9lgb1/XPSyVjLLWfaIc9jVBQe/M2bPekhJp/
SYHbDkEcsUXFdYlO6gpnk7O9se9/VqZLsZ8w7srJOKEpo552k4qk1kQ8lroVR7pu
O4A0k18ObYWq/RpUCn/dSDa1UYTjxtJ0H9I/94Y7cLjv1HnRUohumdMq1FdASOBC
DwaQcURTG2UTMoxDfgtgooGUgfnC+3l6LHqJF4clWe7EKePIsI93QyzRT0tQp16X
cA3UqyJavJCDpE0MXQ7LZkTgVRZIHsLWvKEbMQRRHs0zj7t+Sm/phLUqUEfxYk56
ogp5+Tjoz/qmDjbANaKpPs351stx2LWKKq3hcWbQdZar0R3kk1i/w14ZCfRAdSiU
wmhluZzSkufDtr8oLv4ZBJJWVNcJ3WYzML2tgwxzmfpcSGtbcs5TQn/M4xplS3LQ
Jf4TUdAM6ZA0yN4JSWeQ4ci83EoiqP64X+TZy/KvQSOoCnmYCFRXiJxKdWOH6o1g
KP7IPi3/PF7/EvLWGHfqOA3cIfbsHF2WysV+2fj48bCH73FK0c2kCdlimxwgLR4m
vMThhXlnh+VommrzYxTlafspkRuzV9jKFoLU146i2/8j16BWfQzwxcaW7xbTrza/
S+/3piU61s0=
=NFVJ
-----END PGP SIGNATURE-----
--- End Message ---